<?xml version="1.0" encoding="UTF-8"?>
<!--Multiple camera strategy config table-->
<MultiCameraConfigTable>

    <rule name = "ThirdCam Entering macro pre dual stream">
        <condition name = "MACRO_MODE" value = "1"/>
        <outState>
            <camera name = "wide" prev = "true"/>
            <camera name = "ultra_wide"/>
        </outState>
    </rule>

    <rule name = "ThirdCam Exiting macro pre dual stream">
        <condition name = "MACRO_MODE" value = "2"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
            <camera name = "wide"/>
        </outState>
    </rule>

    <rule name = "ThirdCam In macro dual stream for vcm">
        <condition name = "MACRO_MODE" value = "3"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
            <camera name = "wide"/>
        </outState>
    </rule>

    <rule name = "ThirdCam macro maintain stability">
        <condition name = "MACRO_MODE" value = "4"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
            <camera name = "wide"/>
        </outState>
    </rule>

    <rule name = "ThirdCam [0.0 - 0.6)">
        <condition name = "ZOOM_RATIO" min = "0.0" max = "0.6"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
        </outState>
    </rule>

    <rule name = "ThirdCam [0.6-1.0)">
        <condition name = "ZOOM_RATIO" min = "0.6" max = "1.0"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
            <camera name = "wide"/>
        </outState>
    </rule>

    <rule name = "ThirdCam [1.0 - 2.0)">
        <condition name = "ZOOM_RATIO" min = "1.0" max = "2.0"/>
        <outState>
            <camera name = "wide" prev = "true"/>
        </outState>
    </rule>

    <rule name = "ThirdCam [2.0-2.5)">
        <condition name = "ZOOM_RATIO" min = "2.0" max = "2.5"/>
        <outState>
            <camera name = "wide" prev = "true"/>
            <camera name = "tele"/>
        </outState>
    </rule>

    <rule name = "ThirdCam [2.5-20.0)">
        <condition name = "ZOOM_RATIO" min = "2.5" max = "20.0"/>
        <outState>
            <camera name = "tele" prev = "true"/>
            <camera name = "wide"/>
        </outState>
    </rule>

</MultiCameraConfigTable>
